## libchi-memoize-perl 0.07

=== debian/changelog ===
libchi-memoize-perl (0.07-1) unstable; urgency=low

  * Initial Release. (Closes: #847835)

 -- Christopher Hoskin <christopher.hoskin@gmail.com>  Mon, 12 Dec 2016 21:58:22 +0000
