=== debian/watch ===
version=3
https://metacpan.org/release/CHI-Memoize   .*/CHI-Memoize-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
